Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class DMSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.fujitsu.iflow.model.util.ModelException
                  com.fujitsu.iflow.model.util.DMSException

All Implemented Interfaces:
  java.io.Serializable

public class DMSException
extends ModelException

Catch only exceptions of the `ModelException` superclass for future compatibility. `DMSException` indicates that a requested Document Management System operation, such as check-in new document, has failed in the Document Management System Adapter. It is thrown when a `DMSAdapterInterface.DMSOperationFailed exception` is caught by the Model API.

See Also:
  `DirException`, `ModelException`, `ModelInternalException`, `WFInternalException`, `WFServerException`, Serialized Form

Field Summary

Fields inherited from class com.fujitsu.iflow.model.util.ModelException
`params`

Constructor Summary
`DMSException(int errorCode)` Constructor.
`DMSException(int errorCode, java.lang.Throwable source)` Constructor.
`DMSException(java.lang.Throwable source)` Constructor.
`DMSException(java.lang.Throwable source, int errorCode, java.lang.String errorMessage)` Constructor.

Methods inherited from class com.fujitsu.iflow.model.util.ModelException
`getCause, getErrorCode, getExceptionType, getMessage, getParam, getParams, getSource, getTemplate, printException, printStackTrace, setExceptionType, setParam, setParam, setParam, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DMSException

    public DMSException(int errorCode)

  Constructor. Initializes the `DMSException` object.

Parameters:
  `errorCode` - The code to be associated with the `DMSException`.

### DMSException

    public DMSException(java.lang.Throwable source)

  Constructor. Initializes the `DMSException` object.

Parameters:
  `source` - The source exception to be associated with the `DMSException`.

### DMSException

    public DMSException(java.lang.Throwable source,
                        int errorCode,
                        java.lang.String errorMessage)

  Constructor. Initializes the `DMSException` object.

Parameters:
  `source` - The source to be associated with the `DMSException`.
  `errorCode` - The code to be associated with the `DMSException`.
  `errorMessage` - The message to be associated with the `DMSException`.

### DMSException

    public DMSException(int errorCode,
                        java.lang.Throwable source)

  Constructor. Initializes the `DMSException` object.

Parameters:
  `source` - The source to be associated with the `DMSException`.
  `errorCode` - The code to be associated with the `DMSException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD